/*
 * Sixth 3D engine demos. Author: Svjatoslav Agejenko. 
 * This project is released under Creative Commons Zero (CC0) license.
 *
*/

package eu.svjatoslav.sixth.e3d.examples.launcher;

import javax.swing.*;
import java.awt.*;

class Main extends javax.swing.JFrame {

    private static final long serialVersionUID = -3679656169594556137L;

    private Main() {
        super();
        initGUI();
    }

    public static void main(final String[] args) {
        SwingUtilities.invokeLater(() -> {
            final Main inst = new Main();
            final BorderLayout instLayout = new BorderLayout();
            inst.setLocationRelativeTo(null);
            inst.setVisible(true);
            inst.getContentPane().setLayout(instLayout);
        });
    }

    private void initGUI() {
        getContentPane().add(new MenuPanel());
        pack();
        setSize(390, 300);
    }

}
